searchNodes=[{"doc":"This module is responsible for runtime package management. Name of the package honours remarkable chemist, Robert Boyle. This package allows you to manage your Elixir virtual enviromnent without need of restarting erlang virtual machine. Boyle installs environment into ./envs/you_new_environment directory and creates new mix project there with requested dependencies. It keeps takes care of fetching, compiling and loading/unloading modules from dependencies list of that environment. You can also use this environment as a separate mix project and run it interactively with iex -S mix from the environment directory.","ref":"Boyle.html","title":"Boyle","type":"module"},{"doc":"Activate environment and load all modules that are installed within this module. Examples iex&gt; Boyle . activate ( &quot;boyle_test_env&quot; ) :ok iex&gt; Boyle . deactivate ( ) :ok","ref":"Boyle.html#activate/1","title":"Boyle.activate/1","type":"function"},{"doc":"Get name of active environment. Examples iex&gt; Boyle . activate ( &quot;boyle_test_env&quot; ) :ok iex&gt; Boyle . active_env_name ( ) &quot;boyle_test_env&quot;","ref":"Boyle.html#active_env_name/0","title":"Boyle.active_env_name/0","type":"function"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Boyle.html#child_spec/1","title":"Boyle.child_spec/1","type":"function"},{"doc":"Activate environment and unload all modules that are installed within this module. Examples iex&gt; Boyle . activate ( &quot;boyle_test_env&quot; ) :ok iex&gt; Boyle . deactivate ( ) :ok","ref":"Boyle.html#deactivate/0","title":"Boyle.deactivate/0","type":"function"},{"doc":"Get absolute path of active environment.","ref":"Boyle.html#environment_path/0","title":"Boyle.environment_path/0","type":"function"},{"doc":"Show detailed dependencies in the current environment stored in mix.lock file created for the environment. Examples iex&gt; Boyle . activate ( &quot;boyle_test_env&quot; ) :ok iex&gt; Boyle . freeze ( ) { %{ decimal : { :hex , :decimal , &quot;1.7.0&quot; , &quot;30d6b52c88541f9a66637359ddf85016df9eb266170d53105f02e4a67e00c5aa&quot; , [ :mix ] , [ ] , &quot;hexpm&quot; , &quot;771ea78576e5fa505ad58a834f57915c7f5f9df11c87a598a01fdf6065ccfb5d&quot; } } , [ ] } iex&gt; Boyle . deactivate ( ) :ok","ref":"Boyle.html#freeze/0","title":"Boyle.freeze/0","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"Boyle.html#init/1","title":"Boyle.init/1","type":"function"},{"doc":"Activate environment and unload all modules that are installed within this module. Examples iex&gt; Boyle . activate ( &quot;boyle_test_env&quot; ) :ok iex&gt; Boyle . install ( { :decimal , &quot;~&gt; 1.5.0&quot; } ) :ok iex&gt; Boyle . deactivate ( ) :ok","ref":"Boyle.html#install/1","title":"Boyle.install/1","type":"function"},{"doc":"List all available environemnts created in the past. Examples iex&gt; {:ok, envs_list} = Boyle.list() iex&gt; &quot;boyle_test_env&quot; in envs_list true","ref":"Boyle.html#list/0","title":"Boyle.list/0","type":"function"},{"doc":"Create new virtual environment where your modules will be stored and compiled. Examples iex&gt; { :ok , envs_list } = Boyle . mk ( &quot;test_env&quot; ) iex&gt; &quot;test_env&quot; in envs_list true","ref":"Boyle.html#mk/1","title":"Boyle.mk/1","type":"function"},{"doc":"Print list of modules paths and loaded modules.","ref":"Boyle.html#paths/0","title":"Boyle.paths/0","type":"function"},{"doc":"Make sure all dependencies are fetched, compiled and loaded.","ref":"Boyle.html#reinstall/0","title":"Boyle.reinstall/0","type":"function"},{"doc":"Remove existing environment. Examples iex&gt; { :ok , envs_list } = Boyle . rm ( &quot;test_env_for_removal&quot; ) iex&gt; &quot;test_env_for_removal&quot; in envs_list false","ref":"Boyle.html#rm/1","title":"Boyle.rm/1","type":"function"},{"doc":"","ref":"Boyle.html#start_link/1","title":"Boyle.start_link/1","type":"function"},{"doc":"Get state of Boyle module, some internal paths useful for loaded modules management.","ref":"Boyle.html#state/0","title":"Boyle.state/0","type":"function"},{"doc":"Return values of start* functions","ref":"Boyle.html#t:on_start/0","title":"Boyle.on_start/0","type":"type"},{"doc":"This is documentation for IElixir project.","ref":"IElixir.html","title":"IElixir","type":"module"},{"doc":"Macro used for capturing stdin and stderr of evalued code.","ref":"IElixir.CaptureIO.html","title":"IElixir.CaptureIO","type":"module"},{"doc":"Capture evaluated expression. Returns stdout and stderr. Examples iex&gt; IElixir.CaptureIO.capture do: IO.puts(&quot;sdf&quot;) |&gt; (&amp;(IO.puts(:stderr, &amp;1))).()","ref":"IElixir.CaptureIO.html#capture/1","title":"IElixir.CaptureIO.capture/1","type":"macro"},{"doc":"This module provides server which computes HMAC signature of provided message.","ref":"IElixir.HMAC.html","title":"IElixir.HMAC","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IElixir.HMAC.html#child_spec/1","title":"IElixir.HMAC.child_spec/1","type":"function"},{"doc":"Compute signature for provided message. Example iex&gt; IElixir.HMAC . compute_signature ( &quot;&quot; , &quot;&quot; , &quot;&quot; , &quot;&quot; ) &quot;25eb8ea448d87f384f43c96960600c2ce1e713a364739674a6801585ae627958&quot;","ref":"IElixir.HMAC.html#compute_signature/4","title":"IElixir.HMAC.compute_signature/4","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"IElixir.HMAC.html#init/1","title":"IElixir.HMAC.init/1","type":"function"},{"doc":"Start HMAC server: IElixir.HMAC . start_link ( %{ &quot;signature_scheme&quot; =&gt; &quot;hmac-sha256&quot; , &quot;key&quot; =&gt; &quot;7534565f-e742-40f3-85b4-bf4e5f35390a&quot; } ) Options &quot;signature_scheme&quot; and &quot;key&quot; options are required for proper work of HMAC server.","ref":"IElixir.HMAC.html#start_link/1","title":"IElixir.HMAC.start_link/1","type":"function"},{"doc":"Return values of start* functions","ref":"IElixir.HMAC.html#t:on_start/0","title":"IElixir.HMAC.on_start/0","type":"type"},{"doc":"","ref":"IElixir.HistoryEntry.html","title":"IElixir.HistoryEntry","type":"module"},{"doc":"This is documentation for Message structure and some utils that helps in encoding, parsing, assembling and sending messages. Here are extracted functions which helps with messages management.","ref":"IElixir.Message.html","title":"IElixir.Message","type":"module"},{"doc":"This module provides functions that helps with database management.","ref":"IElixir.Queries.html","title":"IElixir.Queries","type":"module"},{"doc":"Get list of history entries. Example iex&gt; { :ok , _result , output , &quot;&quot; , line_number } = IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; &quot;a=10&quot; } ) { :ok , &quot;10&quot; , &quot;&quot; , &quot;&quot; , 1 } iex&gt; IElixir.Queries . insert ( &quot;cd8ad0b7-09fa-49b7-be7d-987845b4be63&quot; , line_number , &quot;a=10&quot; , output ) :ok iex&gt; { :ok , _result , output , &quot;&quot; , line_number } = IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; &quot;IO.puts( \\&quot; aaa \\&quot; )&quot; } ) { :ok , &quot;:ok&quot; , &quot;aaa \\n &quot; , &quot;&quot; , 2 } iex&gt; IElixir.Queries . insert ( &quot;cd8ad0b7-09fa-49b7-be7d-987845b4be63&quot; , line_number , &quot;IO.puts( \\&quot; aaa \\&quot; )&quot; , output ) :ok iex&gt; IElixir.Queries . get_entries_list ( false ) [ [ &quot;cd8ad0b7-09fa-49b7-be7d-987845b4be63&quot; , 1 , &quot;a=10&quot; ] , [ &quot;cd8ad0b7-09fa-49b7-be7d-987845b4be63&quot; , 2 , &quot;IO.puts( \\&quot; aaa \\&quot; )&quot; ] ] iex&gt; IElixir.Queries . get_entries_list ( true ) [ [ &quot;cd8ad0b7-09fa-49b7-be7d-987845b4be63&quot; , 1 , [ &quot;a=10&quot; , &quot;&quot; ] ] , [ &quot;cd8ad0b7-09fa-49b7-be7d-987845b4be63&quot; , 2 , [ &quot;IO.puts( \\&quot; aaa \\&quot; )&quot; , &quot;aaa \\n &quot; ] ] ]","ref":"IElixir.Queries.html#get_entries_list/1","title":"IElixir.Queries.get_entries_list/1","type":"function"},{"doc":"Insert HistoryEntry into database. Example iex&gt; IElixir.Queries . insert ( &quot;cd8ad0b7-09fa-49b7-be7d-987845b4be63&quot; , 1 , &quot;a=10 \\n &quot; , &quot;&quot; ) :ok","ref":"IElixir.Queries.html#insert/4","title":"IElixir.Queries.insert/4","type":"function"},{"doc":"","ref":"IElixir.Repo.html","title":"IElixir.Repo","type":"module"},{"doc":"Callback implementation for Ecto.Repo.aggregate/4 .","ref":"IElixir.Repo.html#aggregate/4","title":"IElixir.Repo.aggregate/4","type":"function"},{"doc":"Callback implementation for Ecto.Repo.all/2 .","ref":"IElixir.Repo.html#all/2","title":"IElixir.Repo.all/2","type":"function"},{"doc":"","ref":"IElixir.Repo.html#child_spec/1","title":"IElixir.Repo.child_spec/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.config/0 .","ref":"IElixir.Repo.html#config/0","title":"IElixir.Repo.config/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete/2 .","ref":"IElixir.Repo.html#delete/2","title":"IElixir.Repo.delete/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete!/2 .","ref":"IElixir.Repo.html#delete!/2","title":"IElixir.Repo.delete!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete_all/2 .","ref":"IElixir.Repo.html#delete_all/2","title":"IElixir.Repo.delete_all/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get/3 .","ref":"IElixir.Repo.html#get/3","title":"IElixir.Repo.get/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get!/3 .","ref":"IElixir.Repo.html#get!/3","title":"IElixir.Repo.get!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_by/3 .","ref":"IElixir.Repo.html#get_by/3","title":"IElixir.Repo.get_by/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_by!/3 .","ref":"IElixir.Repo.html#get_by!/3","title":"IElixir.Repo.get_by!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.in_transaction?/0 .","ref":"IElixir.Repo.html#in_transaction?/0","title":"IElixir.Repo.in_transaction?/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert/2 .","ref":"IElixir.Repo.html#insert/2","title":"IElixir.Repo.insert/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert!/2 .","ref":"IElixir.Repo.html#insert!/2","title":"IElixir.Repo.insert!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_all/3 .","ref":"IElixir.Repo.html#insert_all/3","title":"IElixir.Repo.insert_all/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_or_update/2 .","ref":"IElixir.Repo.html#insert_or_update/2","title":"IElixir.Repo.insert_or_update/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_or_update!/2 .","ref":"IElixir.Repo.html#insert_or_update!/2","title":"IElixir.Repo.insert_or_update!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.load/2 .","ref":"IElixir.Repo.html#load/2","title":"IElixir.Repo.load/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.one/2 .","ref":"IElixir.Repo.html#one/2","title":"IElixir.Repo.one/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.one!/2 .","ref":"IElixir.Repo.html#one!/2","title":"IElixir.Repo.one!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.preload/3 .","ref":"IElixir.Repo.html#preload/3","title":"IElixir.Repo.preload/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given query. See Ecto.Adapters.SQL.query/3 for more information.","ref":"IElixir.Repo.html#query/3","title":"IElixir.Repo.query/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given query. See Ecto.Adapters.SQL.query/3 for more information.","ref":"IElixir.Repo.html#query!/3","title":"IElixir.Repo.query!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.rollback/1 .","ref":"IElixir.Repo.html#rollback/1","title":"IElixir.Repo.rollback/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.start_link/1 .","ref":"IElixir.Repo.html#start_link/1","title":"IElixir.Repo.start_link/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.stop/2 .","ref":"IElixir.Repo.html#stop/2","title":"IElixir.Repo.stop/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.stream/2 .","ref":"IElixir.Repo.html#stream/2","title":"IElixir.Repo.stream/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that translates the given query to SQL. See Ecto.Adapters.SQL.query/3 for more information.","ref":"IElixir.Repo.html#to_sql/2","title":"IElixir.Repo.to_sql/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.transaction/2 .","ref":"IElixir.Repo.html#transaction/2","title":"IElixir.Repo.transaction/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update/2 .","ref":"IElixir.Repo.html#update/2","title":"IElixir.Repo.update/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update!/2 .","ref":"IElixir.Repo.html#update!/2","title":"IElixir.Repo.update!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update_all/3 .","ref":"IElixir.Repo.html#update_all/3","title":"IElixir.Repo.update_all/3","type":"function"},{"doc":"This is module responsible for running user's code.","ref":"IElixir.Sandbox.html","title":"IElixir.Sandbox","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IElixir.Sandbox.html#child_spec/1","title":"IElixir.Sandbox.child_spec/1","type":"function"},{"doc":"Clean Sandbox's binding, environment and scope so there's loaded only Kernel, Kernel.Typespec and IEx.Helpers modules. Examples iex&gt; IElixir.Sandbox . clean ( ) :ok","ref":"IElixir.Sandbox.html#clean/0","title":"IElixir.Sandbox.clean/0","type":"function"},{"doc":"Execute passed request Examples iex&gt; IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; &quot;a=10&quot; } ) { :ok , &quot;10&quot; , &quot;&quot; , &quot;&quot; , 1 } iex&gt; IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; &quot;b=25&quot; } ) { :ok , &quot;25&quot; , &quot;&quot; , &quot;&quot; , 2 } iex&gt; IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; &quot;IO.puts(a+b)&quot; } ) { :ok , &quot;:ok&quot; , &quot;35 \\n &quot; , &quot;&quot; , 3 } iex&gt; IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; ~S[IO.puts(:stderr, &quot;boom&quot;); a+b] } ) { :ok , &quot;35&quot; , &quot;&quot; , &quot;boom \\n &quot; , 4 } iex&gt; IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; ~S[IO.puts(&quot;one&quot;); IO.puts(:stderr, &quot;boom&quot;); IO.puts(a+b)] } ) { :ok , &quot;:ok&quot; , &quot;one \\n 35 \\n &quot; , &quot;boom \\n &quot; , 5 } iex&gt; IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; &quot;:sampleatom&quot; } ) { :ok , &quot;:sampleatom&quot; , &quot;&quot; , &quot;&quot; , 1 } iex&gt; IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; &quot;asdf&quot; } ) { :error , &quot;CompileError&quot; , [ &quot;** (CompileError) console:1 \\&quot; undefined function asdf/0 (there is no such import) \\&quot; &quot; ] , 1 } iex&gt; IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; &quot;hd []&quot; } ) { :error , &quot;ArgumentError&quot; , [ &quot;** (ArgumentError) \\&quot; errors were found at the given arguments: \\\\ n \\\\ n * 1st argument: not a nonempty list \\\\ n \\&quot; &quot; ] , 1 } iex&gt; abc = IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; &quot; \\&quot; a \\&quot; + 5&quot; } ) iex&gt; elem ( abc , 0 ) :error iex&gt; elem ( abc , 1 ) &quot;ArithmeticError&quot;","ref":"IElixir.Sandbox.html#execute_code/1","title":"IElixir.Sandbox.execute_code/1","type":"function"},{"doc":"Get code completion propositions suggested by IEx.Autocomplete.expand/1 function. Examples iex&gt; IElixir.Sandbox . get_code_completion ( &quot;En&quot; ) { :yes , &quot;um&quot; , [ ] } iex&gt; IElixir.Sandbox . get_code_completion ( &quot;asdf&quot; ) { :no , &quot;&quot; , [ ] } iex&gt; IElixir.Sandbox . get_code_completion ( &quot;q&quot; ) { :yes , &quot;uote&quot; , [ ] } iex&gt; IElixir.Sandbox . get_code_completion ( &quot;Enum&quot; ) { :yes , &quot;&quot; , [ &quot;Enum&quot; , &quot;Enumerable&quot; ] }","ref":"IElixir.Sandbox.html#get_code_completion/1","title":"IElixir.Sandbox.get_code_completion/1","type":"function"},{"doc":"Get value of execution counter saved in state of Sandbox. Examples iex&gt; IElixir.Sandbox . get_execution_count ( ) 1 iex&gt; IElixir.Sandbox . execute_code ( %{ &quot;code&quot; =&gt; &quot;a=10&quot; } ) { :ok , &quot;10&quot; , &quot;&quot; , &quot;&quot; , 1 } iex&gt; IElixir.Sandbox . get_execution_count ( ) 2","ref":"IElixir.Sandbox.html#get_execution_count/0","title":"IElixir.Sandbox.get_execution_count/0","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"IElixir.Sandbox.html#init/1","title":"IElixir.Sandbox.init/1","type":"function"},{"doc":"Checks if provided code is complete or client should wait for more, eg. there is unclosed parenthesis. Examples iex&gt; IElixir.Sandbox . is_complete_code ( &quot;a = 10&quot; ) :complete iex&gt; IElixir.Sandbox . is_complete_code ( &quot;a + b&quot; ) :invalid iex&gt; IElixir.Sandbox . is_complete_code ( &quot;case x do&quot; ) :incomplete","ref":"IElixir.Sandbox.html#is_complete_code/1","title":"IElixir.Sandbox.is_complete_code/1","type":"function"},{"doc":"Execution response","ref":"IElixir.Sandbox.html#t:execution_response/0","title":"IElixir.Sandbox.execution_response/0","type":"type"},{"doc":"Yes or no atoms","ref":"IElixir.Sandbox.html#t:yes_or_no/0","title":"IElixir.Sandbox.yes_or_no/0","type":"type"},{"doc":"&quot;Control: This channel is identical to Shell, but operates on a separate socket, to allow important messages to avoid queueing behind execution requests (e.g. shutdown or abort).&quot; From https://ipython.org/ipython-doc/dev/development/messaging.html","ref":"IElixir.Socket.Control.html","title":"IElixir.Socket.Control","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IElixir.Socket.Control.html#child_spec/1","title":"IElixir.Socket.Control.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"IElixir.Socket.Control.html#init/1","title":"IElixir.Socket.Control.init/1","type":"function"},{"doc":"This is module responsible for handling Heartbeat requests.","ref":"IElixir.Socket.Heartbeat.html","title":"IElixir.Socket.Heartbeat","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IElixir.Socket.Heartbeat.html#child_spec/1","title":"IElixir.Socket.Heartbeat.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"IElixir.Socket.Heartbeat.html#init/1","title":"IElixir.Socket.Heartbeat.init/1","type":"function"},{"doc":"&quot;IOPub: this socket is the ‘broadcast channel’ where the kernel publishes all side effects (stdout, stderr, etc.) as well as the requests coming from any client over the shell socket and its own requests on the stdin socket.&quot; From https://ipython.org/ipython-doc/dev/development/messaging.html","ref":"IElixir.Socket.IOPub.html","title":"IElixir.Socket.IOPub","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IElixir.Socket.IOPub.html#child_spec/1","title":"IElixir.Socket.IOPub.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"IElixir.Socket.IOPub.html#init/1","title":"IElixir.Socket.IOPub.init/1","type":"function"},{"doc":"Send error message. Send traceback so client can have information about what went wrong.","ref":"IElixir.Socket.IOPub.html#send_error/4","title":"IElixir.Socket.IOPub.send_error/4","type":"function"},{"doc":"Send execute_input message. Send information about 'execution_count'.","ref":"IElixir.Socket.IOPub.html#send_execute_input/2","title":"IElixir.Socket.IOPub.send_execute_input/2","type":"function"},{"doc":"Send execute_result message. This is used for sending what executed code returned.","ref":"IElixir.Socket.IOPub.html#send_execute_result/2","title":"IElixir.Socket.IOPub.send_execute_result/2","type":"function"},{"doc":"Send stream message but with a mime type of HTML, so the content is interpolated into the result","ref":"IElixir.Socket.IOPub.html#send_html/2","title":"IElixir.Socket.IOPub.send_html/2","type":"function"},{"doc":"Send stream message but with a mime type of IMAGE, so the content is interpolated into the result","ref":"IElixir.Socket.IOPub.html#send_image/3","title":"IElixir.Socket.IOPub.send_image/3","type":"function"},{"doc":"Send status of sandbox: 'ok' | 'error' | 'abort'.","ref":"IElixir.Socket.IOPub.html#send_status/2","title":"IElixir.Socket.IOPub.send_status/2","type":"function"},{"doc":"Send stream message. This is used for sending output of code execution.","ref":"IElixir.Socket.IOPub.html#send_stream/3","title":"IElixir.Socket.IOPub.send_stream/3","type":"function"},{"doc":"&quot;Shell: this single ROUTER socket allows multiple incoming connections from frontends, and this is the socket where requests for code execution, object information, prompts, etc. are made to the kernel by any frontend. The communication on this socket is a sequence of request/reply actions from each frontend and the kernel.&quot; From https://ipython.org/ipython-doc/dev/development/messaging.html","ref":"IElixir.Socket.Shell.html","title":"IElixir.Socket.Shell","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IElixir.Socket.Shell.html#child_spec/1","title":"IElixir.Socket.Shell.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"IElixir.Socket.Shell.html#init/1","title":"IElixir.Socket.Shell.init/1","type":"function"},{"doc":"&quot;Stdin: this ROUTER socket is connected to all frontends, and it allows the kernel to request input from the active frontend when raw_input() is called. The frontend that executed the code has a DEALER socket that acts as a ‘virtual keyboard’ for the kernel while this communication is happening (illustrated in the figure by the black outline around the central keyboard). In practice, frontends may display such kernel requests using a special input widget or otherwise indicating that the user is to type input for the kernel instead of normal commands in the frontend.&quot; From https://ipython.org/ipython-doc/dev/development/messaging.html","ref":"IElixir.Socket.StdIn.html","title":"IElixir.Socket.StdIn","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IElixir.Socket.StdIn.html#child_spec/1","title":"IElixir.Socket.StdIn.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"IElixir.Socket.StdIn.html#init/1","title":"IElixir.Socket.StdIn.init/1","type":"function"},{"doc":"This is supervisor module. Takes care if everything is working.","ref":"IElixir.Supervisor.html","title":"IElixir.Supervisor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IElixir.Supervisor.html#child_spec/1","title":"IElixir.Supervisor.child_spec/1","type":"function"},{"doc":"IElixir.Utils module contains various methods that makes code more readable. However, those methods may be useful during development of IElixir, testing them can conserve implementation which we would like to avoid.","ref":"IElixir.Utils.html","title":"IElixir.Utils","type":"module"},{"doc":"Parse connection file and return map with proper fields. Example iex&gt; conn_info = IElixir.Utils . parse_connection_file ( &quot;test/test_connection_file&quot; ) ; :ok :ok iex&gt; conn_info [ &quot;key&quot; ] &quot;7534565f-e742-40f3-85b4-bf4e5f35390a&quot;","ref":"IElixir.Utils.html#parse_connection_file/1","title":"IElixir.Utils.parse_connection_file/1","type":"function"}]